image: python:3.10

publish:
  script:
    - pip install poetry
    - poetry build
    - poetry config repositories.gitlab "https://gricad-gitlab.univ-grenoble-alpes.fr/api/v4/projects/$CI_PROJECT_ID/packages/pypi"
    - poetry config http-basic.gitlab gitlab-ci-token "$CI_JOB_TOKEN"
    - poetry publish --repository gitlab --skip-existing
